function b = PVsubsasgn_colon(a,L,RHS)
% function B =  PVsubsasgn_colon(A,L,RHS)
%
% DESCRIPTION 
%   (INTERNAL FUNCTION)
%   (:)-subsassign for polynomial objects. 
%   
% INPUTS 
%   A: polynomial 
%   L: a structure array with the fields:
%    type -- string containing '()' 
%    subs -- Cell array or string containing ':'
%   RHS: Value to be assigned. 
%
% OUTPUTS  
%   B: object after subsassignment
%  
% SYNTAX 
%   B =  subsasgn(A,L,RHS)

% 6/9/2002: PJS  Initial Coding

  
% Get info about polynomials
b = a;
temp = RHS;
[nrb,ncb]=size(b);    
ntb = size(b.degmat,1);
[nrt,nct]=size(temp);        
ntt = size(temp.degmat,1);

if nrt*nct == nrb*ncb
    if nrt*nct==0
        b = a;
    else
        b = reshape(temp,size(b));
    end
elseif nrt==0 || nct==0
    b = polynomial;    
elseif [nrt nct]==[1 1] 
    if isempty(b)
        b = a;
    else
        b = temp;
        bcoef = b.coefficient;
        bcoef = repmat(bcoef,1,nrb*ncb);
        b.matdim = [nrb ncb];
    end
else
    error(['In an assignment  A(:) = B, the number of' ...
     ' elements in A and B must be the same.']);
end

 