function b = ispvar(a)
% function B = ispvar(A)
%
% DESCRIPTION 
%   Returns true for a polynomial variable or an array of polynomial 
%     variables.
%   
% INPUTS 
%   A: polynomial
%
% OUTPUTS  
%   B: 1 if A is a polynomial variable or a vector or matrix of polynomial
%      variables.  Returns 0 otherwise.
%    
% SYNTAX 
%   B = ispvar(A);
 
% 4/29/06    PJS  Initial Coding
% 1/29/2008: PJS  Updated documentation

if ~isa(a,'polynomial')
    b = false;
    return
end

acoef = a.coefficient; 
adeg = a.degmat;
idx = find(acoef);

b = false;
if all(acoef(idx)==1) && all( sum( abs(acoef) ,1)==1) ...
       &&  all( sum(adeg,2) == 1)
    b = true;
end

